Subject: Re: [PATCH v4 01/14] i18n: add--interactive: mark strings for translation

From: Vasco Almeida <[email-masked]>
Date: Thu, 20 Oct 2016 16:21:01 +0000

A Qua, 19-10-2016 às 11:14 -0700, Junio C Hamano escreveu:
> Vasco Almeida <[email-masked]> writes:
> 
> > 
> >  	} else {
> > -		print "No untracked files.\n";
> > +		print __("No untracked files.\n");
> >  	}
> 
> Not a big deal, but this makes me wonder if we want to do this
> instead
> 
> 		print __("No untracked files.") . "\n";
> 
> so that translators do not have to remember to keep the final LF.

This can be a good idea. On the other hand, I think translators are
cautious to not forget the final LF since there is a lot of them from C
source. Also I think msgfmt checks if English source and translation
both end with newline or not. So if a translator forgets to put a \n
then msgfmt would return an error. If it is not the translator to find
the error herself, someone else will, like the Translation coordinator.

I will leave this patch as is.

https://www.gnu.org/software/gettext/FAQ.html#newline